---
Name: consul-template-buildcert
Templates:
  - Name: "consul-template-buildcert-agent"
    Path: /opt/consul/templates/agent.crt.tpl
    Contents: |
      "{{`{{ with secret "pki_int/issue/consul-{{ .ParamExpand "consul/dc" }}" "common_name={{ .ParamExpand "consul/server-name" }}.{{ .ParamExpand "consul/dc" }}.consul" "ttl=24h" "alt_names=localhost" "ip_sans=127.0.0.1"}}`}}"
      "{{`{{ .Data.certificate }}`}}"
      "{{`{{ end }}`}}"
  - Name: "consul-template-buildcert-ca"
    Path: /opt/consul/templates/ca.crt.tpl
    Contents: |
      "{{`{{ with secret "pki_int/issue/consul-{{ .ParamExpand "consul/dc" }}" "common_name={{ .ParamExpand "consul/server-name" }}.{{ .ParamExpand "consul/dc" }}.consul" "ttl=24h"}}`}}"
      "{{`{{ .Data.issuing_ca }}`}}"
      "{{`{{ end }}`}}"
